Bug 165070 - tetex: texdoc can't locate documentation files after installation of tetex-doc
Summary: tetex: texdoc can't locate documentation files after installation of tetex-doc
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-04 02:54 UTC by Jose Pedro Oliveira
Modified: 2013-07-02 23:08 UTC (History)
1 user (show)

Fixed In Version: 3.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-08 13:35:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2005-08-04 02:54:32 UTC
Description of problem:
texdoc can't locate documentation files after installation of tetex-doc.
The tetex-doc subpackage doesn't hash the tex files after
being installed (or uninstalled).

Version-Release number of selected component (if applicable):
tetex-3.0-4

Steps to Reproduce:
1. tetex-doc isn't installed by default (at least in some FC installation
   profiles)
2. install tetex-doc manually
3. try to view some doc file. Example:
   texdoc listings
4. nothing happens


Additional info:
Solution: also add the %post and %preun scripts to the tetex-doc subpackage.

%post doc
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%postun doc
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

Comment 1 Jose Pedro Oliveira 2005-08-04 02:56:29 UTC
Oops!  I meant the %post and %postun scripts.
(s/the %post and %preun/the %post and %postun/)

Comment 2 Jindrich Novy 2005-08-08 13:35:40 UTC
Ok, the next teTeX build fixes this.


Note You need to log in before you can comment on or make changes to this bug.